var show 				= 0;
var no_of_pages	= 0;
var width				= screen_type == 'ipad' ? 1024 : 320;

$(document).ready(function() {
	$('#all').hide();
  var team = localStorage.getItem("team");
	if (team) {
		var image	= screen_type == 'ipad' ? "Default-Landscape" : "Default-iPhone";
		$('#loading').attr('src', 'teams/' + team + '/s3_files/' + image + '.png').show();
		window.setTimeout(function() { document.location = "teams/" + team + "/index.html";	}, 1500);
	} else {
    $('#all').show();
    $('#hide').hide();
  }
});

$(window).bind("load", function() {
	$('#start-icons a').click(function(e) {
		var team	= $(this).attr('href');
		team			= team.substr(team.indexOf("/") + 1, team.lastIndexOf("/") - team.indexOf("/") - 1);
		if ((navigator.userAgent.match(/iP(hone|ad|od)/i))) { localStorage.setItem("team", team); };
		document.location = $(this).attr('href');
		e.preventDefault();
	});
	
	var swipe		 	  = {};	
	no_of_pages			= $('#start-icons ul').length;
	$('#start-icons').width(width * no_of_pages).bind(is_touch_device() ? "touchstart touchend" : "mousedown mouseup", function(e)
	{
		var position = is_touch_device() ? e.originalEvent.changedTouches[0] : e.originalEvent;
		
		if (e.type == "touchstart" || e.type == "mousedown") 
		{
			swipe.start = { x : position.pageX, y : position.pageY, time : (new Date).getTime() };
		}
		else 
		{	
			swipe.end = { x : position.pageX, y : position.pageY, time: (new Date).getTime() };			
				
			if (Math.abs(swipe.start.x - swipe.end.x) > 80 && (swipe.end.time - swipe.start.time) < 1000)
			{
				if (swipe.start.x - swipe.end.x > 0)
				{
					if (show < no_of_pages - 1)
					{
						show++;
						$(this).removeClass().addClass("show" + show);
						$('#dot .show').removeClass("show").next().addClass("show");
					}
				}
				else
				{
					if (show > 0)
					{
						show--;
						$(this).removeClass().addClass("show" + show);
						$('#dot .show').removeClass("show").prev().addClass("show");
					}
				}
			}
		}		  
	});

	$('#coverflow').live('swipeleft swiperight',function(event)
	{
		if (event.type == 'swipeleft') alert("left");
		else alert("right");
	});	
});

function touchMove(event)
{
	event.preventDefault();
}

function is_touch_device()
{
	try { document.createEvent("TouchEvent"); return true; }
	catch (e) { return false; }
}
